import java.awt.Font;
import javax.swing.JLabel;
import javax.swing.JFileChooser;
import javax.swing.Icon;
import java.io.File;

/**
 * @author David Foster <davidfstr@gmail.com>
 */
public class JFileWell extends JLabel {
	static Font FONT = new JLabel().getFont().deriveFont(Font.PLAIN, 10);	// 10 pt, default font face
	
	private File file;
	
	public JFileWell() {
		super.setFont(FONT);
		
		this.setFile(null);
	}
	
	// ### ACCESSORS ###
	
	public void setFile(File file) {
		this.file = file;
		
		if (file == null) {
			super.setIcon(null);
			super.setText("no file selected");
		} else {
			super.setIcon(getIconForFile(file));
			super.setText(file.getName());
		}
	}
	
	public File getFile() {
		return this.file;
	}
	
	// ### UTILITY ###
	
	/** @return		the look-and-feel specific icon for the specified file */
	private static Icon getIconForFile(File file) {
		// XXX
		JFileChooser dummyFileChooser = new JFileChooser();
		return dummyFileChooser.getUI().getFileView(dummyFileChooser).getIcon(file);
	}
}